<?PHP
 
  class Utils
  {
    /*
    * Esta classe define algumas funes teis para a aplicao, como carregar
    * o banco de dados e arquivo de configuraes.    
    */
    
    public function getConfigVars()
    {
      /* 
      * Esta funo l o arquivo de configuraes da aplicao, definido pelo
      * usurio, em busca do valor de uma varivel especfica. Este mtodo
      * pode ser otimizado, lendo todas as variveis e disponibilizando-as
      * em um array armazenado em sesso.   
      */
      
      // Caminho do arquivo de configuraes, em diretrio que no possua
      // acesso externo (internet), mas sim, somente interno no servidor.
      $arquivo = file("config/properties.ini");
      
      $configVars = array();
      
      // L o arquivo linha por linha
      for($i=0; $i < count($arquivo); $i++)
      {
        // Catura a posio do sinal '='
        $equals = strpos($arquivo[$i], '=');
        
        // Captura o nome da varivel
        $varName = substr($arquivo[$i], 0, $equals);
        
        // Captura o valor
        $varValue = substr($arquivo[$i], 
                           $equals+1, // Soma um para no conter o caracter '='
                           strlen($arquivo[$i]) - $equals - 3);
                           // Subtrai 3 do resto da string para remover
                           // caracteres de final de linha
                        
        $configVars[$varName] = $varValue;
      }            
      
      return $configVars;
    }
    
    public function getDatabaseConnection()
    {
      /*
      * Esta funo obtem as informaes de banco de dados a ser utilizado em um
      * arquivo de configurao criado pelo programador, para esta aplicao.
      * Baseado nas informaes, cria o objeto de acordo com o tipo desejado.        
      */
          
      // Captura os dados de um arquivo de configurao, inclusive se  MYSQL, ou outros
      $configVars = $this->getConfigVars();
      
      $dbTempAddress = $configVars["DB_ADDRESS"];
      $dbTempPort = $configVars["DB_PORT"];
      $dbTempUser = $configVars["DB_USER"];
      $dbTempPassword = $configVars["DB_PASSWORD"];
      $dbTempName = $configVars["DB_NAME"];
      $dbTemp = null;
      $bdTempType = "MySQL";
      
      if($bdTempType == "MySQL")
        $dbTemp = new MySQL();
  
      else if($bdTempType == "PostgreSQL")
        $dbTemp = new PostgreSQL(); // necessrio implementar a classe PostgreSQL
  
      else if($bdServer == "SQLServer")
        $dbTemp = new SQLServer(); // necessrio implementar a classe SQLServer
  
      if($dbTemp != null)    
        $dbTemp->setConfig($dbTempAddress, $dbTempPort, 
                           $dbTempUser, $dbTempPassword, $dbTempName);
                           
      return $dbTemp;    
    }
  }
  
?>
